Skip to main content
GET
/
files
List Files
curl --request GET \
  --url https://{base_url}/files \
  --header 'X-API-Key: <api-key>'
{
  "files": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "original_filename": "<string>",
      "type": "application/pdf",
      "bytes": 123,
      "pages": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "expires_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "total_pages": 123
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Query Parameters

page
integer
required

Page number (starts at 1)

Required range: x >= 1
limit
integer
default:10

Items per page (max 20, default 10)

Required range: x <= 20

Search by filename (case-insensitive partial match)

file_type
enum<string>

Filter by file type. Use predefined categories or specific MIME types:

  • PDF: All PDF files
  • Images: All image formats
  • Documents: MS Word and text documents
  • Or specify exact MIME type (e.g., image/jpeg, application/pdf)
Available options:
PDF,
Images,
Documents,
application/pdf,
image/jpeg,
image/png,
image/gif,
image/bmp,
image/tiff,
image/webp,
image/heic
date_from
string<date>

Filter files from date (YYYY-MM-DD format)

date_to
string<date>

Filter files until date (YYYY-MM-DD format)

sort_by
enum<string>

Sort order

Available options:
Upload Date,
File Size,
Name,
Last Used

Response

List of files with pagination

files
object[]
pagination
object